package circularlist;

public class CircularLists {

	public static <E> CircularList<E> union(CircularListImpl<? extends E> cl1, CircularListImpl<? extends E> cl2) {
		CircularList<E> u = new CircularListImpl<>();
		u.addAll(cl1);
		u.addAll(cl2);
		return u;
	}
	
	public static <E> CircularList<E> unmodifiableCircularList(CircularList<E> cl) {
		return new UnmodifiableCircularList<E>(cl);
	}

	public static void main(String[] args) {
		CircularListImpl<Double> clf = new CircularListImpl<Double>(1., 2.5, 3.);
		CircularListImpl<Integer> cli = new CircularListImpl<>(4, 5, 6);
		CircularList<Number> u = union(clf, cli);
		System.out.println(u.size());
	}
}
